document.addEventListener('DOMContentLoaded', () => {
  const loginForm = document.querySelector('.login-form');
  const dashboard = document.querySelector('.dashboard');
  
  loginForm.addEventListener('submit', (e) => {
    e.preventDefault();
    const username = document.getElementById('username').value;
    const password = document.getElementById('password').value;
    
    // Simple validation
    if (username && password) {
      loginForm.classList.add('hidden');
      dashboard.classList.remove('hidden');
    }
  });
  
  // Add logout functionality
  const loginBtn = document.querySelector('.login-btn');
  loginBtn.addEventListener('click', () => {
    dashboard.classList.add('hidden');
    loginForm.classList.remove('hidden');
    loginForm.reset();
  });
  
  // Add real-time balance formatting
  const balances = document.querySelectorAll('.balance');
  balances.forEach(balance => {
    const amount = parseFloat(balance.textContent.replace('$', '').replace(',', ''));
    balance.textContent = new Intl.NumberFormat('en-US', {
      style: 'currency',
      currency: 'USD'
    }).format(amount);
  });
});